#!/bin/ksh

# Licensed Materials - Property of IBM
# XL Compiler Usage Logger Tool V1.0
# Copyright IBM Corp. 2011. All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.


# variable points at the location of the wrapper script you downloaded.  It 
# should contain the full path to the script as below.  Please update this 
# location to point to where you have saved the script.
WRAPPER_SCRIPT=/root/cul.ksh


# Set this variable to the name of the file you would like to back up your
# compiler bin directory to.  You will need this to restore later.
BACKUP_FILE=/root/compiler_backup.tar


# We will assume a default install.  If you do not have a default install,
# please contact the person who provided this script.
INSTALL_LOCATION=/usr


# backup existing vac/bin and vacpp/bin dirs for restoration later, or if
# something goes wrong.
cd $INSTALL_LOCATION 
tar -cf $BACKUP_FILE vac/bin/ vacpp/bin/ 


# copy all of the symlinks in vacpp/bin to resolved files in .orig 
# .orig has actual xlc copies in it now, so you will need additional space on
# this file system.
cd $INSTALL_LOCATION/vacpp/bin/ && mkdir .orig && cp * .orig/


# in vac/bin, do the same
cd $INSTALL_LOCATION/vac/bin 
mkdir .orig 
cp * .orig/


# replace contents of 'xlc' with our script:
cat $WRAPPER_SCRIPT > xlc

